package com.atguigu.auth.service;

import com.atguigu.model.system.SysMenu;
import com.atguigu.vo.system.AssginMenuVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 菜单表 服务类
 * </p>
 *
 * @author bunny
 * @since 2024-04-23
 */
public interface SysMenuService extends IService<SysMenu> {

    /**
     * 获取菜单
     *
     * @return 菜单列表
     */
    List<SysMenu> findNodes();

    /**
     * 删除菜单
     *
     * @param id 菜单id
     */
    void removeMenuById(Long id);

    /**
     * 根据角色获取菜单
     *
     * @param roleId 角色id
     * @return 菜单列表
     */
    List<SysMenu> findSysMenuByRoleId(Long roleId);

    /**
     * 给角色分配权限
     *
     * @param assginMenuVo 分配条件
     */
    void doAssign(AssginMenuVo assginMenuVo);
}
